Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class CardTransaction3Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.CardTransaction3Choice

public class CardTransaction3Choice extends Object

Java class for CardTransaction3Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardTransaction3Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Aggtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CardAggregated2"/>
             <element name="Indv" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CardIndividualTransaction2"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CardAggregated2`
`aggtd`
`protected CardIndividualTransaction2`
`indv`

## Constructor Summary

Constructors
Constructor
Description
`CardTransaction3Choice()`

## Method Summary

Modifier and Type
Method
Description
`CardAggregated2`
`getAggtd()`
Gets the value of the aggtd property.
`CardIndividualTransaction2`
`getIndv()`
Gets the value of the indv property.
`void`
`setAggtd(CardAggregated2 value)`
Sets the value of the aggtd property.
`void`
`setIndv(CardIndividualTransaction2 value)`
Sets the value of the indv property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### aggtd

protected CardAggregated2 aggtd

### indv

protected CardIndividualTransaction2 indv

## Constructor Details

### CardTransaction3Choice

public CardTransaction3Choice()

## Method Details

### getAggtd

public CardAggregated2 getAggtd()
Gets the value of the aggtd property.

Returns:
  possible object is `CardAggregated2`

### setAggtd

public void setAggtd(CardAggregated2 value)
Sets the value of the aggtd property.

Parameters:
  `value` - allowed object is `CardAggregated2`

### getIndv

public CardIndividualTransaction2 getIndv()
Gets the value of the indv property.

Returns:
  possible object is `CardIndividualTransaction2`

### setIndv

public void setIndv(CardIndividualTransaction2 value)
Sets the value of the indv property.

Parameters:
  `value` - allowed object is `CardIndividualTransaction2`